.nav {
    display: flex;
    align-items: center;
    justify-content: center;
    grid-area: menu;
}
.nav-box {
    display: flex;
    justify-content: center;
}
.nav-address, .nav-controls {
    display: none;
}
.top-menu {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 20px;
    font-size: 24px;
}
.top-menu__item a {
    position: relative;
    color: var(--platinum);
    text-decoration: none;
}
.top-menu__item a::after {
    position: absolute;
    content: '';
    left: 50%;
    bottom: 0;
    display: block;
    width: 0;
    height: 1px;
    transform: translateX(-50%);
    transition: 0.3s;
    background: var(--platinum);
}
.top-menu__item a:hover::after {
    width: 100%;
}

@media (max-width: 1000px) {
    .nav {
        display: none;
    }
}

@media (max-width: 360px) {
    .address-btn {
        font-size: 14px;
        padding: 0;
    }
    .address-btn svg {
        width: 10px;
        height: 10px;
    }
    .nav-controls {
        gap: 0;
    }
    .nav-controls a {
        font-size: 14px;
    }
}